Loading...
Searching...
No Matches
XrdSsiStream::Buffer Class Referenceabstract

`#include <XrdSsiStream.hh>`

Collaboration diagram for XrdSsiStream::Buffer:

## Public Member Functions

| Buffer (char *dp=0)
virtual | ~Buffer ()
virtual void | Recycle ()=0

## Public Attributes

char * | data
Buffer * | next

## Detailed Description

The Buffer object is returned by active streams as they supply the buffer holding the requested data. Once the buffer is no longer needed it must be recycled by calling Recycle().

Definition at line 63 of file XrdSsiStream.hh.

## Constructor & Destructor Documentation

## Buffer()

XrdSsiStream::Buffer::Buffer | ( | char * | dp = 0 | ) |

inline

> For chaining by buffer receiver

Definition at line 71 of file XrdSsiStream.hh.

: data(dp), next(0) {}
XrdSsiStream::Buffer::next
Buffer * next
Definition XrdSsiStream.hh:69
XrdSsiStream::Buffer::data
char * data
Definition XrdSsiStream.hh:68

References data, and next.

## ~Buffer()

virtual XrdSsiStream::Buffer::~Buffer | ( |  | ) |

inline virtual

Definition at line 72 of file XrdSsiStream.hh.

{}

## Member Function Documentation

## Recycle()

virtual void XrdSsiStream::Buffer::Recycle | ( |  | ) |

pure virtual

## Member Data Documentation

## data

char* XrdSsiStream::Buffer::data

> Call to recycle the buffer when finished

Definition at line 68 of file XrdSsiStream.hh.

Referenced by Buffer().

## next

Buffer* XrdSsiStream::Buffer::next

> -> Buffer containing the data

Definition at line 69 of file XrdSsiStream.hh.

Referenced by Buffer().

The documentation for this class was generated from the following file:

- XrdSsiStream.hh